EVENT_WAIT(3)

EXPERIMENTAL_FUNC
event_wait - Wait for an event.

SYNOPSIS
#include <karma_event.h>

flag event_wait

(unsigned long mask, Connection connection, KEvent *event)

DESCRIPTION
Wait for an event.

mask
    The event mask. After an event is received the event mask is set to 0. See <-event_MASKS-> for a list of event masks.

connection
    The connection to receive the event from.

event
    The event data will be written here

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/